List Sources
List sources with optional filtering and pagination.
Query Parameters
limit?Limit
offset?Offset
source_type?|
Filter by source_type
lifecycle_state?|
Filter by lifecycle_state
labels?array<string>|
Filter by source label name or label_id. Repeat for AND semantics.
label?array<string>|
Alias for labels. Repeat for AND semantics.
metadata?array<string>|
Filter by source metadata equality, e.g. metadata=customer=acme. Repeat for AND semantics; repeat the same key for OR values.
space_id?Space Id
Isolation space to list
Response Body
application/json
application/json
curl -X GET "https://example.com/sources"{ "sources": [ { "id": "string", "source_type": "string", "original_name": "string", "mime_type": "string", "file_path": "string", "parsed_path": "string", "source_url": "string", "sha256": "string", "size_bytes": 0, "version": 1, "space_id": "default", "lifecycle_state": "ingested", "chunk_count": 0, "memory_count": 0, "section_tree": "string", "summary": "string", "error_message": "string", "created_at": "string", "updated_at": "string", "metadata": {}, "label_ids": [ "string" ] } ], "total": 0}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}